Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.security.impl
Class JBossAuthorizationDomainRegistryImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.security.impl.JBossAuthorizationDomainRegistryImpl

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, AuthorizationDomainRegistry, JBossAuthorizationDomainRegistry, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class JBossAuthorizationDomainRegistryImpl

extends AbstractJBossService
implements JBossAuthorizationDomainRegistry

MBean to allow access to the policy config service and the policy configs stored within.

Version:
  $Revision: 8784 $
Author:
  Martin Holzner, Julien Viet

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JBossAuthorizationDomainRegistryImpl()`

Method Summary
`void` | `addDomain(AuthorizationDomain domain)` Add a policy.
`AuthorizationDomain` | `getDomain(java.lang.String domainType)`
`java.util.Collection` | `getDomains()`
`void` | `removeDomain(AuthorizationDomain domain)` Remove a policy

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossAuthorizationDomainRegistryImpl

    public JBossAuthorizationDomainRegistryImpl()

Method Detail

### addDomain

    public void addDomain(AuthorizationDomain domain)

  Description copied from interface: `JBossAuthorizationDomainRegistry`
  Add a policy.

  Specified by:
    `addDomain` in interface `JBossAuthorizationDomainRegistry`

### removeDomain

    public void removeDomain(AuthorizationDomain domain)

  Description copied from interface: `JBossAuthorizationDomainRegistry`
  Remove a policy

  Specified by:
    `removeDomain` in interface `JBossAuthorizationDomainRegistry`

### getDomain

    public AuthorizationDomain getDomain(java.lang.String domainType)

  Specified by:
    `getDomain` in interface `AuthorizationDomainRegistry`

### getDomains

    public java.util.Collection getDomains()

  Specified by:
    `getDomains` in interface `AuthorizationDomainRegistry`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD